UISeparator (RichFaces JSF components library 3.2.0.CR3 API)
Keywords: org.richfaces.component.UISeparator class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UISeparator

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UISeparator

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlSeparator

    public abstract class UISeparator

extends javax.faces.component.UIComponentBase

JSF component class

Field Summary
`static java.lang.String` | `DEFAULT_HEIGHT`
`static java.lang.String` | `DEFAULT_WIDTH`
`static java.lang.String` | `LINE_TYPE_BEVEL`
`static java.lang.String` | `LINE_TYPE_DASHED`
`static java.lang.String` | `LINE_TYPE_DOTTED`
`static java.lang.String` | `LINE_TYPE_DOUBLE`
`static java.lang.String` | `LINE_TYPE_SOLID`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UISeparator()`

Method Summary
`abstract java.lang.String` | `getHeight()`
`abstract java.lang.String` | `getLineType()`
`abstract void` | `setHeight(java.lang.String height)`
`abstract void` | `setLineType(java.lang.String lineType)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_HEIGHT

    public static final java.lang.String DEFAULT_HEIGHT

See Also:
  Constant Field Values

### DEFAULT_WIDTH

    public static final java.lang.String DEFAULT_WIDTH

See Also:
  Constant Field Values

### LINE_TYPE_BEVEL

    public static final java.lang.String LINE_TYPE_BEVEL

See Also:
  Constant Field Values

### LINE_TYPE_DOUBLE

    public static final java.lang.String LINE_TYPE_DOUBLE

See Also:
  Constant Field Values

### LINE_TYPE_DOTTED

    public static final java.lang.String LINE_TYPE_DOTTED

See Also:
  Constant Field Values

### LINE_TYPE_DASHED

    public static final java.lang.String LINE_TYPE_DASHED

See Also:
  Constant Field Values

### LINE_TYPE_SOLID

    public static final java.lang.String LINE_TYPE_SOLID

See Also:
  Constant Field Values

Constructor Detail

### UISeparator

    public UISeparator()

Method Detail

### getLineType

    public abstract java.lang.String getLineType()

### setLineType

    public abstract void setLineType(java.lang.String lineType)

### getHeight

    public abstract java.lang.String getHeight()

### setHeight

    public abstract void setHeight(java.lang.String height)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.